Bug 1071544 - (CVE-2017-17121) VUL-1: CVE-2017-17121: binutils: Binary File Descriptor (BFD) library (aka libbfd) allows remote attackers to cause a denial of service
(CVE-2017-17121)
VUL-1: CVE-2017-17121: binutils: Binary File Descriptor (BFD) library (aka li...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Michael Matz
Security Team bot
https://smash.suse.de/issue/196101/
CVSSv2:SUSE:CVE-2017-17121:5.0:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-06 14:27 UTC by Alexander Bergmann
Modified: 2022-05-09 09:20 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
QA Reproducer (43.32 KB, application/x-ms-dos-executable)
2017-12-06 14:28 UTC, Alexander Bergmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2017-12-06 14:27:30 UTC
CVE-2017-17121

The Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU
Binutils 2.29.1, allows remote attackers to cause a denial of service (memory
access violation) or possibly have unspecified other impact via a COFF binary in
which a relocation refers to a location after the end of the to-be-relocated
section.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-17121
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-17121.html
http://www.cvedetails.com/cve/CVE-2017-17121/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17121
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=b23dc97fe237a1d9e850d7cbeee066183a00630b
https://sourceware.org/bugzilla/show_bug.cgi?id=22506
Comment 1 Alexander Bergmann 2017-12-06 14:28:59 UTC
Created attachment 751732 [details]
QA Reproducer

SLE12> objdump -W  perform_reloc 

perform_reloc:     file format pei-i386

Contents of the  section:

00000000 ZERO terminator


objdump: perform_reloc: warning: illegal symbol index 131072 in relocs
objdump: perform_reloc: warning: illegal symbol index 0 in relocs
Segmentation fault (core dumped)
Comment 5 ni yingjun 2020-11-17 07:39:45 UTC
Hi Support,
I have a customer who are focus on this CVE-2019-9075.
I don't see any information about this CVE of SLES12SP5 on https://www.suse.com/security/cve/.
Is SLES12 SP5 affected by this CVE? Is it a plan to merge it into SLES12sp5?

Thanks.
Comment 6 ni yingjun 2020-11-17 07:42:03 UTC
(In reply to Yingjun Ni from comment #5)
> Hi Support,
> I have a customer who are focus on this CVE-2019-9075.
> I don't see any information about this CVE of SLES12SP5 on
> https://www.suse.com/security/cve/.
> Is SLES12 SP5 affected by this CVE? Is it a plan to merge it into SLES12sp5?
> 
> Thanks.

sorry for the mistype, the customer is asking about CVE-2017-17121.
Comment 7 Michael Matz 2020-11-18 13:38:22 UTC
binutils 2.32 (contained in SLE12-SP5 currently) has this problem fixed.
It was forgotten to be mentioned in the changes file :-(
Comment 8 ni yingjun 2020-11-18 13:59:53 UTC
(In reply to Michael Matz from comment #7)
> binutils 2.32 (contained in SLE12-SP5 currently) has this problem fixed.
> It was forgotten to be mentioned in the changes file :-(

ok, appreciated for your reply.
Comment 9 Robert Frohl 2022-05-09 09:20:41 UTC
done